<script>
    import UserOverview from '../../../Components/UserOverview.svelte';

    /** @type {import('./$types').PageData} */
    export let data;
    let account_full = data.account_full;

    let account_object = account_full.objects[account_full.id];
</script>

<div class=" flex w-full h-full justify-center">
    <div class="flex w-full flex-col gap-2 p-5 mx-28 rounded-sm">
        <UserOverview {account_full} />

        <!-- switches -->
        <div>
            <div class="switch-tab-border ">
                <div class="flex text-lg font-semibold">
                    <a href="/u/{account_object.name}">
                        <div
                            class="active px-3 cursor-pointer py-[1px] border-l-2 rounded-l-md border-y-2 border-solid border-black"
                        >
                            <h2>Details</h2>
                        </div></a
                    >
                    <a href="/u/{account_object.name}/issued">
                        <div
                            class="px-3 cursor-pointer py-[1px] border-2 border-solid border-black"
                        >
                            <h2>Issued</h2>
                        </div>
                    </a>
                    <a href="/u/{account_object.name}/collected">
                        <div
                            class=" px-3 cursor-pointer py-[1px] border-r-2 rounded-r-md border-y-2 border-l-0 border-solid border-black"
                        >
                            <h2>Collected</h2>
                        </div>
                    </a>
                </div>
            </div>
        </div>

        <!-- switch content -->
        <div class="px-7 py-3">
            <div class="flex gap-6 text-lg font-medium ">
                <table class="">
                    <tbody>
                        <tr>
                            <td>ID</td>
                            <td>{account_object.id}</td>
                        </tr>
                        <tr>
                            <td>Membership Expiry</td>
                            <td>{account_object.membership_expiration_date}</td>
                        </tr>
                        <tr>
                            <td>Registrar</td>
                            <td
                                >{account_object.registrar == account_object.id
                                    ? account_object.name
                                    : account_object.registrar}</td
                            >
                        </tr>
                        <tr>
                            <td>Referrer</td>
                            <td
                                >{account_object.referrer == account_object.id
                                    ? account_object.name
                                    : account_object.referrer}</td
                            >
                        </tr>
                        <tr>
                            <td>Lifetime Referrer</td>
                            <td
                                >{account_object.lifetime_referrer == account_object.id
                                    ? account_object.name
                                    : account_object.lifetime_referrer}</td
                            >
                        </tr>
                        <tr>
                            <td>Network Fee Percentage</td>
                            <td>{account_object.network_fee_percentage}</td>
                        </tr>
                        <tr>
                            <td>Lifetime Network Fee Percentage</td>
                            <td>{account_object.lifetime_referrer_fee_percentage}</td>
                        </tr>
                        <tr>
                            <td>Referrer Reward Percentage</td>
                            <td>{account_object.referrer_rewards_percentage}</td>
                        </tr>
                        <tr>
                            <td>Name</td>
                            <td>{account_object.name}</td>
                        </tr>

                        <tr>
                            <td>Owner</td>
                            <td>{JSON.stringify(account_object.owner)}</td>
                        </tr>
                        <tr>
                            <td>Active</td>
                            <td>{JSON.stringify(account_object.active)}</td>
                        </tr>
                        <tr>
                            <td>Options</td>
                            <td>{JSON.stringify(account_object.options)}</td>
                        </tr>
                        <tr>
                            <td>Statistics</td>
                            <td>{account_object.statistics}</td>
                        </tr>
                        <tr>
                            <td>Whitelisting Accounts</td>
                            <td>{JSON.stringify(account_object.whitelisting_accounts)}</td>
                        </tr>
                        <tr>
                            <td>Blacklisting Accounts</td>
                            <td>{JSON.stringify(account_object.blacklisting_accounts)}</td>
                        </tr>
                        <tr>
                            <td>Whitelisted Accounts</td>
                            <td>{JSON.stringify(account_object.whitelisted_accounts)}</td>
                        </tr>
                        <tr>
                            <td>Blacklisted Accounts</td>
                            <td>{JSON.stringify(account_object.blacklisted_accounts)}</td>
                        </tr>
                        <tr>
                            <td>Owner Special Authority</td>
                            <td>{JSON.stringify(account_object.owner_special_authority)}</td>
                        </tr>
                        <tr>
                            <td>Active Special Authority</td>
                            <td>{JSON.stringify(account_object.active_special_authority)}</td>
                        </tr>
                        <tr>
                            <td>Top Control Flag</td>
                            <td>{account_object.top_n_control_flags}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        <!-- json box -->
        <div class="flex flex-col gap-3">
            <div class="text-lg font-semibold">
                <h3>Raw JSON:</h3>
            </div>

            <div
                class="border-2 border-solid border-black rounded-3xl px-3 py-2 text-xs font-medium break-all"
            >
                <span class="py-1">
                    {JSON.stringify(account_object, null, 2)}
                </span>
            </div>
        </div>
    </div>
</div>

<style>
    .switch-tab-border {
        display: flex;
        flex-direction: row;
    }
    .switch-tab-border::before,
    .switch-tab-border::after {
        content: '';
        flex: 1 1;
        border-bottom: 2px solid #000;
        margin: auto;
    }
    .active {
        background-color: gainsboro;
    }
</style>
